#=============================================================================
# Copyright (c) 2018-2023, NVIDIA CORPORATION.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#=============================================================================
include(${rapids-cmake-dir}/export/package.cmake)

rapids_export_package( build FAKE_PACKAGE test_export_set COMPONENTS)

# Verify that package configuration files exist
set(path "${CMAKE_BINARY_DIR}/rapids-cmake/test_export_set/build/package_FAKE_PACKAGE.cmake")
if(NOT EXISTS "${path}")
  message(FATAL_ERROR "rapids_export_package failed to generate a find_package configuration")
endif()

# verify that `COMPONENTS` isn't in FAKE_PACKAGE.cmake
set(to_match_string [=[COMPONENTS)]=])
file(READ "${path}" contents)
string(FIND "${contents}" "${to_match_string}" is_found)
if(NOT is_found EQUAL -1)
  message(FATAL_ERROR "rapids_export_package generated a find_package configuration with COMPONENTS")
endif()
